<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>index</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<h1 id="nambari">Nambari</h1>
<p>Hii ni mchezo ya kusomesha watoto kuhesabu</p>
<h2 id="kutengeneza-kwa-fedora-linux">Kutengeneza kwa Fedora Linux</h2>
<div class="sourceCode" id="cb1"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="fu">git</span> clone https://gitlab.com/nairuby-games/nambari</a>
<a class="sourceLine" id="cb1-2" title="2"><span class="bu">cd</span> nambari</a>
<a class="sourceLine" id="cb1-3" title="3"><span class="fu">sudo</span> dnf -y groupinstall <span class="st">&quot;Development Tools&quot;</span></a>
<a class="sourceLine" id="cb1-4" title="4"><span class="fu">sudo</span> dnf -y install gcc SDL2-devel SDL2_image-devel SDL2_ttf-devel espeak-ng-devel</a>
<a class="sourceLine" id="cb1-5" title="5"><span class="fu">bash</span> compile.sh</a>
<a class="sourceLine" id="cb1-6" title="6"><span class="ex">./SwahiliNumbers</span></a></code></pre></div>
<h2 id="fonti">Fonti</h2>
<p>Kutoka https://github.com/tonsky/FiraCode OFL-1.1</p>
<h2 id="picha">Picha</h2>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/1d/Matatu_Manyanga.jpg/244px-Matatu_Manyanga.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatu_Manyanga.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/8/87/A_matatu.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:A_matatu.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Matatu4.jpg/320px-Matatu4.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatu4.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/2/20/Matatus_Kampala.jpg/320px-Matatus_Kampala.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatus_Kampala.jpg CC-BY-SA 3.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/MATATU_MATWANA_CULTURE_KENYA_04.jpg/240px-MATATU_MATWANA_CULTURE_KENYA_04.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:MATATU_MATWANA_CULTURE_KENYA_04.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Blue_Matatu_with_colourful_graphiti.jpg/320px-Blue_Matatu_with_colourful_graphiti.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Blue_Matatu_with_colourful_graphiti.jpg CC-BY-SA 4.0</p>
<h2 id="jisomesha-sdl2">Jisomesha SDL2</h2>
<ul>
<li><p>https://www.geeksforgeeks.org/sdl-library-in-c-c-with-examples/</p></li>
<li><p>https://gigi.nullneuron.net/gigilabs/writing/sdl2-tutorials/</p></li>
<li><p>https://wiki.libsdl.org/FrontPage</p></li>
</ul>
<h1 id="numbers">Numbers</h1>
<p>A game to teach children how to count</p>
<h2 id="to-compile-on-fedora-linux">To compile on Fedora Linux</h2>
<div class="sourceCode" id="cb2"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb2-1" title="1"><span class="fu">git</span> clone https://gitlab.com/nairuby-games/nambari</a>
<a class="sourceLine" id="cb2-2" title="2"><span class="bu">cd</span> nambari</a>
<a class="sourceLine" id="cb2-3" title="3"><span class="fu">sudo</span> dnf -y groupinstall <span class="st">&quot;Development Tools&quot;</span></a>
<a class="sourceLine" id="cb2-4" title="4"><span class="fu">sudo</span> dnf -y install gcc SDL2-devel SDL2_image-devel SDL2_ttf-devel espeak-ng-devel</a>
<a class="sourceLine" id="cb2-5" title="5"><span class="fu">bash</span> compile.sh</a>
<a class="sourceLine" id="cb2-6" title="6"><span class="ex">./SwahiliNumbers</span></a></code></pre></div>
<h2 id="fonts">Fonts</h2>
<p>From https://github.com/tonsky/FiraCode OFL-1.1</p>
<h2 id="pictures">Pictures</h2>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/1d/Matatu_Manyanga.jpg/244px-Matatu_Manyanga.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatu_Manyanga.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/8/87/A_matatu.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:A_matatu.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Matatu4.jpg/320px-Matatu4.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatu4.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/2/20/Matatus_Kampala.jpg/320px-Matatus_Kampala.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Matatus_Kampala.jpg CC-BY-SA 3.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/MATATU_MATWANA_CULTURE_KENYA_04.jpg/240px-MATATU_MATWANA_CULTURE_KENYA_04.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:MATATU_MATWANA_CULTURE_KENYA_04.jpg CC-BY-SA 4.0</p>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Blue_Matatu_with_colourful_graphiti.jpg/320px-Blue_Matatu_with_colourful_graphiti.jpg" /></p>
<p>https://commons.wikimedia.org/wiki/File:Blue_Matatu_with_colourful_graphiti.jpg CC-BY-SA 4.0</p>
<h2 id="teach-yourself-sdl2">Teach yourself SDL2</h2>
<ul>
<li><p>https://www.geeksforgeeks.org/sdl-library-in-c-c-with-examples/</p></li>
<li><p>https://gigi.nullneuron.net/gigilabs/writing/sdl2-tutorials/</p></li>
<li><p>https://wiki.libsdl.org/FrontPage</p></li>
</ul>
</body>
</html>
